python3.5_3.5.2-2ubuntu0~16.04.5_amd64.deb


Advertisement

Description

python3.5 - Interactive high-level object-oriented language (version 3.5)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package name python3.5
Package version 3.5.2
Package release 2ubuntu0~16.04.5
Package architecture amd64
Package type deb
Installed size 303 B
Download size 161.39 KB
Official Mirror archive.ubuntu.com
Python is a high-level, interactive, object-oriented language. Its 3.5 version
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.

Alternatives

Package Version Architecture Repository
python3.5_3.5.2-2ubuntu0~16.04.5_i386.deb 3.5.2 i386 Ubuntu Updates Main
python3.5_3.5.1-10_amd64.deb 3.5.1 amd64 Ubuntu Main
python3.5_3.5.1-10_i386.deb 3.5.1 i386 Ubuntu Main
python3.5 - - -

Requires

Name Value
libpython3.5-stdlib = 3.5.2-2ubuntu0~16.04.5
mime support
python3.5-minimal = 3.5.2-2ubuntu0~16.04.5

Download

Type URL
Binary Package python3.5_3.5.2-2ubuntu0~16.04.5_amd64.deb
Source Package python3.5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python3.5 deb package:
    # sudo apt-get install python3.5

Files

Path
/usr/bin/2to3-3.5
/usr/bin/pdb3.5
/usr/bin/pydoc3.5
/usr/bin/pygettext3.5
/usr/share/applications/python3.5.desktop
/usr/share/doc/python3.5/ACKS.gz
/usr/share/doc/python3.5/NEWS.gz
/usr/share/doc/python3.5/README.Debian
/usr/share/doc/python3.5/README.gz
/usr/share/doc/python3.5/changelog.Debian.gz
/usr/share/doc/python3.5/changelog.gz
/usr/share/doc/python3.5/copyright
/usr/share/lintian/overrides/python3.5
/usr/share/man/man1/2to3-3.5.1.gz
/usr/share/man/man1/pdb3.5.1.gz
/usr/share/man/man1/pydoc3.5.1.gz
/usr/share/man/man1/pygettext3.5.1.gz
/usr/share/man/man1/pysetup3.5.1.gz
/usr/share/pixmaps/python3.5.xpm

Changelog

2018-11-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
python3.5 (3.5.2-2ubuntu0~16.04.5) xenial-security; urgency=medium
* SECURITY UPDATE: DoS via catastrophic backtracking
- debian/patches/CVE-2018-106x.patch: fix expressions in
Lib/difflib.py, Lib/poplib.py. Added tests to
Lib/test/test_difflib.py, Lib/test/test_poplib.py.
- CVE-2018-1060
- CVE-2018-1061
* SECURITY UPDATE: incorrect Expat hash salt initialization
- debian/patches/CVE-2018-14647.patch: call SetHashSalt in
Include/pyexpat.h, Modules/_elementtree.c, Modules/pyexpat.c.
- CVE-2018-14647
2017-11-23 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
python3.5 (3.5.2-2ubuntu0~16.04.4) xenial-security; urgency=medium
* SECURITY UPDATE: integer overflow in the PyBytes_DecodeEscape
function
- debian/patches/CVE-2017-1000158.patch: fix this integer overflow
in Objects/bytesobject.c.
- CVE-2017-1000158
2017-09-14 - Brian Murray <brian@ubuntu.com>
python3.5 (3.5.2-2ubuntu0~16.04.3) xenial; urgency=medium
* Explicitly use the system python for byte compilation in postinst scripts.
(LP: #1682934)
2017-08-18 - Clint Byrum <clint@ubuntu.com>
python3.5 (3.5.2-2ubuntu0~16.04.2) xenial; urgency=medium
* SRU: LP: #1711724 Fix dict segfault. Issue #27945.
2016-11-17 - Steve Beattie <sbeattie@ubuntu.com>
python3.5 (3.5.2-2ubuntu0~16.04.1) xenial-security; urgency=medium
* SECURITY UPDATE: use of HTTP_PROXY flag supplied by attacker in CGI
scripts (aka HTTPOXY attack)
- debian/patches/CVE-2016-1000110.patch: if running as CGI
script, forget HTTP_PROXY in Lib/urllib.py, add test to
Lib/test/test_urllib.py, add documentation.
- CVE-2016-1000110
* NOTE: backport of 3.5.2 to Ubuntu 16.04 LTS also addresses:
- CVE-2016-0772: StartTLS stripping attack
- CVE-2016-5636: Integer overflow when handling zipfiles
2016-09-10 - Matthias Klose <doko@ubuntu.com>
python3.5 (3.5.2-2~16.04) xenial-proposed; urgency=medium
* SRU: LP: #1620754: Fix invalid code in pyhash/siphash24. Issue #28055.
2016-07-05 - Matthias Klose <doko@ubuntu.com>
python3.5 (3.5.2-2~16.01) xenial-proposed; urgency=medium
* SRU: LP: #1591887. Backport 3.5.2 to 16.04 LTS.
2016-07-05 - Matthias Klose <doko@debian.org>
python3.5 (3.5.2-2) unstable; urgency=medium
* asyncio: Fix callbacks race in SelectorLoop.sock_connect, proposed patch
taken from https://github.com/python/asyncio/pull/366.
* asyncio: Fix NameError in asyncio.sslproto. Closes: #827453.
2016-06-27 - Matthias Klose <doko@debian.org>
python3.5 (3.5.2-1) unstable; urgency=medium
* Python 3.5.2 release.
- Issue #26867: Ubuntu's openssl OP_NO_SSLv3 is forced on by default;
fix test.
- Issue #27365: Allow non-ascii in idlelib/NEWS.txt.
2016-06-13 - Matthias Klose <doko@debian.org>
python3.5 (3.5.2~rc1-3) unstable; urgency=medium
* Fix building with the wheel files in the source package.

See Also

Package Description
python_2.7.12-1~16.04_amd64.deb interactive high-level object-oriented language (default version)
qemu-block-extra_2.5+dfsg-5ubuntu10.33_amd64.deb extra block backend modules for qemu-system and qemu-utils
qemu-kvm_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU Full virtualization
qemu-slof_20151103+dfsg-1ubuntu1.1_all.deb Slimline Open Firmware -- QEMU PowerPC version
qemu-system-arm_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (arm)
qemu-system-common_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (common files)
qemu-system-mips_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (mips)
qemu-system-misc_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (miscelaneous)
qemu-system-ppc_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (ppc)
qemu-system-sparc_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (sparc)
qemu-system-x86_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries (x86)
qemu-system_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU full system emulation binaries
qemu-utils_2.5+dfsg-5ubuntu10.33_amd64.deb QEMU utilities
qml-module-ubuntu-web-doc_0.23+16.04.20161028-0ubuntu2_all.deb Ubuntu web QML module HTML documentation
qml-module-ubuntu-web_0.23+16.04.20161028-0ubuntu2_amd64.deb Ubuntu web QML module
Advertisement
Advertisement